from flask import Blueprint
from flask_login import login_required
from app.controllers.user_controller import get_users
from app.controllers.auth_controller import login, logout

main = Blueprint('main', __name__)

@main.route('/users')
@login_required
def users_route():
    return get_users()

@main.route('/login', methods=['GET', 'POST'])
def login_route():
    return login()

@main.route('/logout')
@login_required
def logout_route():
    return logout()